# RPM spec file for Gtk+HS                                       -*-rpm-spec-*-
#
# Copyright [2001..2002] Manuel M T Chakravarty <chak@cse.unsw.edu.au>

%define version    0.15.2
%define release    alt1
%define prefix     /usr

Summary: Haskell binding for the GIMP Toolkit (GTK+), a GUI library
Name: gtk+hs
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: Development/Haskell
Source: http://www.cse.unsw.edu.au/~chak/haskell/gtk/gtk+hs-%{version}.tar.gz
Patch: gtk+hs-0.15.2-ghc6.x.patch
URL: http://www.cse.unsw.edu.au/~chak/haskell/gtk/
Requires: gtk+, ghc = 6.0.1, c2hs
BuildRequires: gtk+-devel, c2hs >= 0.11.5, ghc = 6.0.1
Provides: gtk+hs

%description
The GIMP Toolkit (GTK+) is a library for creating graphical user
interfaces.  This package provides a binding to GTK+ for the programming 
language Haskell, thus, facilitating the creation of graphical user interfaces 
with Haskell.  The present version does not yet cover the whole functionality 
of GTK+; however, the supported widgets are already sufficient for a wide range
of GUI programs.

Haskell 98 is "the" standard lazy functional programming language.
More info plus the language definition is at http://www.haskell.org/.


%prep
%setup -q
%patch -p1

%build
./configure --prefix=%{prefix}
make
#make doc

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install
#make prefix=$RPM_BUILD_ROOT%{prefix} install-doc

%post
%{prefix}/bin/gtkhs-config --package-conf\
  | ghc-pkg --update-package --auto-ghci-libs

%postun
ghc-pkg --remove-package=gtkhs

%files
%doc ChangeLog TODO README NEWS AUTHORS COPYING.LIB
#%doc examples iH/examples
%doc examples
%{prefix}/bin/gtkhs-config
%{prefix}/lib/gtk+hs-%{version}/


%changelog

* Tue Jul 01 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.15.2-alt1
- a new version

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.14.10-alt2
- slightly adopted to the ALT Linux environment

* Tue Mar 12 2002 Manuel Chakravarty
- require a specific Haskell compiler (namely, the one for which the packages 
  was compiled)

* Sat Feb 17 2001 Manuel Chakravarty
- derived from C->Haskell's .spec file
